Bug 489775 - channel.software.listErrata with startDate and endDate returns internal exception
channel.software.listErrata with startDate and endDate returns internal excep...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-03-11 15:21 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-03-11 15:21:38 EDT
Description of problem:

This is a deprecated api. However, we should not introduce a regression. 

server.channel.software.listErrata(key, "rhel-i386-server-5", "2005-01-14 11:13:21", "2009-01-14 11:13:21") 
>>> xmlrpclib.Fault: <Fault -1: 'redstone.xmlrpc.XmlRpcFault: unhandled internal exception: ORA-00923: FROM keyword not found where expected\n'>

There seems to be a typo in the query.
Comment 1 Justin Sherrill 2009-03-12 15:16:10 EDT
commit	f69734cdefad18cb49501c50d256f1f452a4804f
tree	8620b503ad1a313c0987a230dc5bce7b4bcb5534	tree | snapshot
parent	651abe6d8754ee18f969308b8e6b68e86f08f271	commit | diff
Comment 2 Sayli Karmarkar 2009-04-07 15:56:16 EDT
verified. 

>>> server.channel.software.listErrata(key, "rhel-i386-server-5", "2009-01-12", "2009-01-14") 
[{'advisory_name': 'RHSA-2009:0010', 'advisory_type': 'Security Advisory', 'issue_date': '2009-01-12 00:00:00', 'advisory': 'RHSA-2009:0010', 'last_modified_date': '2009-01-12 09:26:40', 'id': 712, 'synopsis': 'Moderate: squirrelmail security update', 'update_date': '2009-01-12 00:00:00', 'advisory_synopsis': 'Moderate: squirrelmail security update'}, {'advisory_name': 'RHSA-2009:0013', 'advisory_type': 'Security Advisory', 'issue_date': '2009-01-12 00:00:00', 'advisory': 'RHSA-2009:0013', 'last_modified_date': '2009-01-12 09:09:07', 'id': 711, 'synopsis': 'Moderate: avahi security update', 'update_date': '2009-01-12 00:00:00', 'advisory_synopsis': 'Moderate: avahi security update'}, {'advisory_name': 'RHBA-2008:1034', 'advisory_type': 'Bug Fix Advisory', 'issue_date': '2009-01-12 00:00:00', 'advisory': 'RHBA-2008:1034', 'last_modified_date': '2009-01-12 03:58:35', 'id': 710, 'synopsis': 'krb5 bug fix update', 'update_date': '2009-01-12 00:00:00', 'advisory_synopsis': 'krb5 bug fix update'}]

API test updated.
Comment 3 Miroslav Suchý 2009-08-26 07:20:24 EDT
[root@xen5 ~]# cat api.python
#!/usr/bin/python
import xmlrpclib

SATELLITE_URL = "http://xen5.englab.brq.redhat.com/rpc/api"
SATELLITE_LOGIN = "admin"
SATELLITE_PASSWORD = "XXXXX"

client = xmlrpclib.Server(SATELLITE_URL, verbose=0)

key = client.auth.login(SATELLITE_LOGIN, SATELLITE_PASSWORD)

list = client.channel.software.listErrata(key, 'rhel-i386-server-5', "2005-01-14 11:13:21", "2009-01-14 11:13:21")
print list

client.auth.logout(key)
[root@xen5 ~]# python api.python
[{'advisory_name': 'RHSA-2009:0010', 'advisory_type': 'Security Advisory',
...
2007-03-14 05:00:00', 'advisory_synopsis': 'Important: spamassassin security update'}]

verified in stage on xen5
Comment 4 Brandon Perkins 2009-09-10 15:55:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.